@font-face {
    font-family: 'Gill Sans MT Pro Bold';
    src: url('./assets/fonts/GillSansMTPro-Bold.otf') format('opentype');
}

@font-face {
    font-family: 'Gill Sans MT Pro Book';
    src: url('./assets/fonts/GillSansMTPro-Book.otf') format('opentype');
}

@font-face {
    font-family: 'Gill Sans MT Pro Medium';
    src: url('./assets/fonts/GillSansMTPro-Medium.otf') format('opentype');
}

@font-face {
    font-family: 'Gilroy Black';
    src: url('./assets/fonts/Gilroy-Black.ttf') format('opentype');
    font-weight: regular;
    font-style: normal;
}

@font-face {
    font-family: 'Gilroy Bold';
    src: url('./assets/fonts/Gilroy-Bold.ttf') format('opentype');
}

@font-face {
    font-family: 'Gilroy BoldItalic';
    src: url('./assets/fonts/Gilroy-BoldItalic.ttf') format('opentype');
}

@font-face {
    font-family: 'Gilroy Regular';
    src: url('assets/fonts/Gilroy-Regular.ttf') format('opentype');
}

body,
html {
    background-color: #f4f4f4;
    width: 100%;
    height: 100vh;
    margin: 0;
    padding: 0;
    overflow: hidden;
}

p,
li,
span {
    font-family: 'Gill Sans MT Pro Book', sans-serif;
}

h1,
h2 {
    font-family: 'Gilroy Black', sans-serif;
}

h3,
h4,
h5,
h6 {
    font-family: 'Gill Sans MT Pro Medium', sans-serif;
}

* {
    box-sizing: border-box;
}

a {
    text-decoration: none;
}


/* Header */

button {
    cursor: pointer;
    background-color: transparent;
    border: none;
    padding: 0;
    margin: 0;
}

header {
    background-image: url('./assets/background-header.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#content {
    overflow: scroll !important;
    height: 80vh;
    padding-bottom: 40px;
    /* Ajusta según el tamaño del footer */
}

.header-content {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    justify-content: space-between;
    padding: 30px 20px;
    gap: 40px;
}

.logo {
    width: 120px;
}

.header-icons {
    display: flex;
    align-items: center;
    gap: 15px;
    img {
        width: 30px;
        height: 30px;
    }
}


/* Main Content */

main {
    position: relative;
}

#main-background {
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
}

.home-screen {
    text-align: center;
    color: #0076aa;
    padding: 6rem 0rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.home-screen h1 {
    font-size: 32.27px;
    max-width: 619px;
    margin-bottom: 0.2rem;
}

.home-screen p {
    font-size: 32.27px;
}

.home-btn {
    background-color: transparent;
    border: 3px solid white !important;
    color: white;
    border: none;
    border-radius: 20px;
    cursor: pointer;
    margin-top: 50px;
    transition: all 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    p {
        border-width: inherit;
        border-radius: inherit;
        padding: 0.2rem 1rem;
        font-size: 1.7rem;
        border-style: inherit;
        border-color: #fa8600;
        margin: 0;
        font-weight: bold;
        background-image: linear-gradient( 0deg, hsl(32deg 100% 49%) 0%, hsl(32deg 96% 50%) 7%, hsl(32deg 97% 52%) 14%, hsl(31deg 97% 53%) 22%, hsl(31deg 97% 54%) 29%, hsl(31deg 97% 55%) 36%, hsl(31deg 97% 56%) 43%, hsl(31deg 98% 56%) 51%, hsl(32deg 98% 57%) 58%, hsl(32deg 98% 58%) 65%, hsl(32deg 99% 58%) 72%, hsl(32deg 99% 59%) 79%, hsl(32deg 99% 60%) 86%, hsl(32deg 100% 61%) 93%, hsl(32deg 100% 61%) 100%);
        display: flex;
        align-items: center;
        img {
            width: 40px;
            height: 40px;
            margin-right: 15px;
        }
    }
}

.home-btn:hover {
    background-color: #45a049;
    transform: translateY(-3px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.3);
}


/* footer */

#reference-footer {
    margin: 3px;
}

footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    z-index: 1;
    background-color: rgba(255, 255, 255, 0.9);
    img {
        width: 400px;
    }
    @media(max-width:500px) {
        img {
            width: 320px;
        }
    }
    .footer-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 5px;
        padding: 5px 5px;
        font-size: 14px;
        text-align: center;
    }
}


/* Estilos para la pantalla de preguntas */

.question-screen {
    margin: 0rem auto;
    display: flex;
    flex-direction: column;
    height: 100%;
    align-items: center;
    gap: 20px;
    color: #6a6d71;
    justify-content: space-around;
}

.question-screen h2 {
    font-size: 17px;
}

.question-screen h3 {
    margin: 0;
    font-size: 1rem;
    text-align: start;
}

.question-header {
    padding: 1rem 4rem;
    text-align: center;
    flex: 1;
    background-color: #e5f1f7;
    ul {
        text-align: left !important;
        margin: 0 !important;
    }
}

.question-content {
    padding: 0rem 2rem 2rem 2rem;
    width: 100%;
    flex: 2;
}

.btn-group {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 1rem;
    margin-bottom: 2rem;
    width: 100%;
}

.answer-btn {
    height: 53px;
    img {
        width: 100%;
        height: 100%;
        object-fit: contain;
    }
    @media (max-width: 768px) {
        p {
            gap: 10px;
            padding-left: 20px;
        }
    }
}

.multiple-btn p {
    font-size: 1rem;
    justify-content: start;
    text-align: left;
}

.answer-btn.selected {
    p {
        border-color: #fa8600;
        background-image: linear-gradient( 0deg, hsl(32deg 100% 49%) 0%, hsl(32deg 96% 50%) 7%, hsl(32deg 97% 52%) 14%, hsl(31deg 97% 53%) 22%, hsl(31deg 97% 54%) 29%, hsl(31deg 97% 55%) 36%, hsl(31deg 97% 56%) 43%, hsl(31deg 98% 56%) 51%, hsl(32deg 98% 57%) 58%, hsl(32deg 98% 58%) 65%, hsl(32deg 99% 58%) 72%, hsl(32deg 99% 59%) 79%, hsl(32deg 99% 60%) 86%, hsl(32deg 100% 61%) 93%, hsl(32deg 100% 61%) 100%);
        transition: all 0.3s ease;
    }
}

.confirm-btn {
    color: white;
    border: none;
    cursor: pointer;
    transition: all 0.3s ease;
    display: block;
    margin: 0 auto;
}

.confirm-btn img {
    width: 70px;
    height: 70px;
}

.confirm-btn:hover {
    transform: translateY(-3px);
}

.hidden {
    display: none;
}

.question-icon {
    width: 120px;
}

.question-description {
    font-size: 0.9em;
    text-align: left;
    color: #666;
    margin-bottom: 20px;
}


/* Estilo del menú lateral */

.side-menu {
    position: absolute;
    top: 0;
    right: -100%;
    background-image: url(./assets/background-side-menu.png);
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: top;
    background-color: #fff;
    width: 100%;
    box-shadow: -2px 0 5px rgba(0, 0, 0, 0.3);
    z-index: 1000;
    transition: right 0.3s ease;
    overflow-y: auto;
    margin-top: 90px;
    display: flex;
    justify-content: center;
    .footer-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 84%;
        gap: 5px;
        padding: 5px 5px;
        font-size: 9px;
        text-align: center;
        .info-footer {
            text-align: left;
        }
    }
}

.menu-header {
    padding: 10px;
    color: #6a6d71 !important;
}

.menu-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    height: calc(100vh - 90px);
    min-width: calc(100% * 0.545);
    max-width: calc(100% * 0.645);
    background-color: #fff;
    box-shadow: -8px 0 15px rgba(0, 0, 0, 0.15), 8px 0 15px rgba(0, 0, 0, 0.15);
    padding-left: 40px;
    padding-right: 40px;
    padding-bottom: 20px;
    p {
        font-family: 'Gill Sans MT Pro Book';
        font-size: 19px;
    }
}

.side-menu.active {
    right: 0;
}

.menu-content {
    width: 100%;
    a {
        color: #6a6d71 !important;
    }
    hr {
        height: 1px;
        border: none;
        background-color: #6a6d71;
        margin: 1rem 0px;
    }
}

.menu-content ul {
    list-style: none;
    padding: 0;
}

.menu-content li {
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.menu-content a {
    text-decoration: none;
    color: #333;
    font-size: 1em;
    width: 100%;
}

.menu-content a {
    text-decoration: none;
    color: #333;
    font-size: 1em;
    width: 100%;
}

.menu-content .side-button {
    cursor: pointer;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 15px;
    font-size: 2rem;
    background: none;
    border: none;
    cursor: pointer;
}

.navigation-buttons {
    margin-top: 5px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navigation-buttons img {
    width: 70px;
}

.navigation-buttons button {
    border: none;
    cursor: pointer;
}

.navigation-buttons button:disabled {
    background-color: #ccc;
    cursor: not-allowed;
}

.result-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 1rem;
}

.result-header {
    padding: 1rem 0.6rem;
    border: 1px solid #6a6d71;
    border-radius: 10px;
    color: #6a6d71;
    h2 {
        font-size: 1rem;
    }
    .description {
        font-size: 0.8rem;
        color: #6a6d71;
        border: 1px solid #fa8600;
        padding: 0.5rem 1rem 5rem 1rem;
        border-radius: 10px;
        img {
            width: 35px;
            margin-right: 1rem;
        }
        .description-list {
            display: flex;
            justify-content: start;
            align-items: center;
            text-align: start;
        }
    }
    ul {
        text-align: left;
        padding-left: 1rem;
        font-size: 0.8rem;
    }
    li {
        margin-bottom: 10px;
    }
}

.result-icon {
    width: 12.5%;
}

.description-button {
    color: #fff;
    background-color: #0076aa;
    font-size: 0.7rem;
    border-radius: 10px;
    padding: 0.9rem 1.1rem;
    margin-top: 1.4rem;
}

.restart-btn {
    background-color: transparent;
    border: 3px solid white !important;
    color: white;
    display: inline-block;
    border: none;
    border-radius: 20px;
    margin-top: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    p {
        border-width: inherit;
        border-radius: inherit;
        padding: 0.5rem 0rem 0.5rem 1rem;
        font-size: 2.4rem;
        border-style: inherit;
        border-color: #dfe4e6;
        margin: 0;
        font-weight: bold;
        background-image: linear-gradient( 270deg, hsl(197deg 7% 81%) 0%, hsl(197deg 7% 81%) 8%, hsl(197deg 8% 82%) 17%, hsl(197deg 8% 83%) 25%, hsl(197deg 8% 83%) 33%, hsl(197deg 9% 84%) 42%, hsl(197deg 9% 85%) 50%, hsl(197deg 9% 85%) 58%, hsl(197deg 10% 86%) 67%, hsl(197deg 10% 87%) 75%, hsl(197deg 11% 87%) 83%, hsl(197deg 12% 88%) 92%, hsl(197deg 12% 89%) 100%);
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .logo-click {
        width: 35px;
        margin-right: 15px;
    }
    .logo-color {
        width: 220px;
        margin-right: 15px;
    }
}

.info-screen {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 1rem 1rem 1rem 1rem;
}

.footer-container {
    margin-left: 10px;
}

.info-footer:first-child {
    margin-left: 7px;
}

.info-footer {
    font-size: 8px;
    color: #6a6d71;
}

.info-header {
    padding: 0.4rem 0.6rem;
    border: 1px solid #6a6d71;
    border-radius: 10px;
    text-align: center;
}

.info-header h2 {
    font-size: 1rem;
    font-weight: bold;
    margin-top: 2rem;
    color: #fa8600;
}

.info-header .references {
    font-size: 0.5rem;
    color: #6a6d71;
    margin-top: 1.3rem;
}

.info-header .qr-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    gap: 2rem;
}

.qr-placeholder {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: min-content;
    p {
        font-size: 0.5rem;
        color: #6a6d71;
        margin-top: 0.5rem;
        text-align: left;
    }
}

.qr-code {
    width: 180px;
    height: 110px;
    object-fit: contain;
    aspect-ratio: 1;
}

.qr-link {
    display: inline-block;
    text-decoration: none;
    transition: transform 0.3s ease;
}

.qr-link:hover {
    transform: scale(1.05);
}

.info-links {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0.5rem;
    margin-top: 2rem;
    padding: 0rem 0rem;
}

.btn {
    background-color: transparent;
    border: 3px solid white !important;
    color: white;
    display: inline-block;
    border-radius: 13px;
    width: 100%;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    .btn-content {
        border-width: inherit;
        border-radius: inherit;
        padding: 0.3rem 0rem 0rem 0.3rem;
        font-size: 0.8rem;
        border-style: inherit;
        border-color: #dfe4e6;
        text-align: left;
        height: 100%;
        color: #0076aa;
        font-weight: bold;
        background-image: linear-gradient( 270deg, hsl(197deg 7% 81%) 0%, hsl(197deg 7% 81%) 8%, hsl(197deg 8% 82%) 17%, hsl(197deg 8% 83%) 25%, hsl(197deg 8% 83%) 33%, hsl(197deg 9% 84%) 42%, hsl(197deg 9% 85%) 50%, hsl(197deg 9% 85%) 58%, hsl(197deg 10% 86%) 67%, hsl(197deg 10% 87%) 75%, hsl(197deg 11% 87%) 83%, hsl(197deg 12% 88%) 92%, hsl(197deg 12% 89%) 100%);
        display: flex;
        align-items: center;
        justify-content: start;
    }
    p {
        margin: 0;
    }
    img {
        width: 15px;
        margin-right: 10px;
    }
}

.instructions-content {
    text-align: start;
    p {
        font-size: 0.9rem;
    }
}

.instructions-content .instructions-references {
    li {
        font-size: 0.6rem;
    }
}

@media (max-height: 625px) {
    .home-screen {
        padding: 0;
    }
}